// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | bytran@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


// Custom tab button control
import QtQuick 2.9
import QtQuick.Controls 2.2

TabButton {

    id: tabButtonControl

    background: Rectangle { color: checked ? 'black' : '#D8D8D8'
                            radius: height * 0.05
                            border.color: checked ? 'black' : '#D8D8D8' }

    font.pointSize: coreObj.defaultFontPointSize

    // This is according to the following:
    // https://stackoverflow.com/questions/40823503/qml-button-change-text-color
    // http://doc.qt.io/qt-5/qtquickcontrols2-customize.html#customizing-button
    contentItem: Text {
        text: tabButtonControl.text
        font: tabButtonControl.font
        color: tabButtonControl.checked ? 'white' : 'black'
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    implicitHeight: {
        if ((Qt.platform.os === 'ios') || (Qt.platform.os === 'winrt')) { return coreObj.defaultLabelHeight * 2.3; }
        else { return coreObj.defaultLabelHeight * 2.6; }
    }
}
