// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | bytran@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Object with spectra for a single molecule
#include "onemolspectra.h"

OneMolSpectra::OneMolSpectra()
{

}

// Method to return a pointer to the isotope spectra
QVector<OneIsoSpectra> *OneMolSpectra::getIso() { return &(this->isoSpectra); }

// Method to get an isotope spectrum at a specific index
OneIsoSpectra *OneMolSpectra::getIsoAt(int index) { return &(this->isoSpectra[index]); }

// Method to get the molecule spectrum
Spectrum *OneMolSpectra::getOptDepth() { return &(this->optDepthSpectrum); }

// Method to get the radiance spectrum for this molecule
Spectrum *OneMolSpectra::getRadiance() { return &(this->radianceSpectrum); }

// Method to get the absorption cross-sections spectrum for a given molecule
Spectrum *OneMolSpectra::getCrossSect() { return &(this->crossSectSpectrum); }
